##   !!! This is a deprecated version! 
##   Please download new version of configuration from 
##   https://ib-aid.com/en/optimized-firebird-configuration/
#
# Firebird configuration file for Firebird 3.0 64-bit SuperServer
# Optimized by IBSurgeon (www.ib-aid.com) for HQbird distribution.
#
# This is an optimized configuration for Firebird 3.0 SuperServer 64 bit, it can be used
# instead of standard firebird.conf from 3.0 distribution - copy it to Firebird folder,
# rename it to firebird.conf, then restart Firebird 
# (all users should be disconnected before restart!). Keep old config as a backup!
# Please be aware that some settings can be configured at database level (in databases.conf)
#
# If you need configuration file, optimized for your specific environment 
# to get the best possible performance, or if your performance problem 
# still persists after configuration changes, contact us:
# http://www.ibsurgeon.com/en/firebird-interbase-performance-optimization-service/
# or via email support@ib-aid.com


ServerMode = Super
DefaultDbCachePages = 100K
FileSystemCacheThreshold = 2M
TempBlockSize = 2M
TempCacheLimit = 1000M
AuthServer = Legacy_Auth, Srp, Win_Sspi
AuthClient = Legacy_Auth, Srp, Win_Sspi
UserManager = Legacy_UserManager, Srp
TracePlugin = fbtrace
WireCrypt = Enabled 
RemoteServicePort = 3050
LockMemSize = 15M
LockHashSlots = 30011

#DatabaseAccess = Full
#RemoteAccess = true
#ExternalFileAccess = None
#UdfAccess = Restrict UDF
#TempDirectories =
#AuditTraceConfigFile =
#MaxUserTraceLogSize = 10
#DatabaseGrowthIncrement = 128M
#FileSystemCacheSize = 0
#RemoteFileOpenAbility = 0
# AuthServer and AuthClient determine what authentication methods will be used
# by network server and client redirector. Secure remote passwords plugin
# is default one. Except configured by default SRP plugin firebird also has
# Legacy_Auth plugin which is used to emulate pre-FB3 login protocol making it
# possible for client to talk to old servers and for server to listen to requests
# from old clients. Legacy_Auth is VERY unsecure. On windows Win_Sspi plugin may
# be also used - it implements windows trusted authentication and backward
# compatible with 2.1 and 2.5 clients and servers running on windows.
# Per-database configurable.
#CryptPlugin = Arc4
#KeyHolderPlugin =
#Providers = Remote,Engine12,Loopback
#DeadlockTimeout = 10
#MaxUnflushedWrites = 100
#MaxUnflushedWriteTime = 5
#BugcheckAbort = 0
#RelaxedAliasChecking = 0
#ConnectionTimeout = 180
#(for client) / Required (for server)
#DummyPacketInterval = 0
#RemoteServiceName = gds_db
#RemoteAuxPort = 0
#TcpRemoteBufferSize = 8192
#TcpNoNagle = 1
#RemoteBindAddress =
#LockAcquireSpins = 0
#EventMemSize = 64K
#CpuAffinityMask = 0
#GCPolicy = combined
#SecurityDatabase = $(dir_secDb)/security3.fdb
#GuardianOption = 1
#ProcessPriorityLevel = 0
#IpcName = FIREBIRD
#RemotePipeName = interbas
